/[gentoo-x86]/eclass/wxwidgets.eclass
Gentoo

Diff of /eclass/wxwidgets.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.17 Revision 1.18
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/wxwidgets.eclass,v 1.17 2006/04/28 12:42:00 flameeyes Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/wxwidgets.eclass,v 1.18 2007/01/02 08:10:31 dirtyepic Exp $
4# 4#
5# Author Rob Cakebread <pythonhead@gentoo.org> 5# Author Rob Cakebread <pythonhead@gentoo.org>
6 6
7# This eclass helps you find the correct wx-config script so ebuilds 7# This eclass helps you find the correct wx-config script so ebuilds
8# can use gtk, gtk2 or gtk2+unicode versions of wxGTK 8# can use gtk, gtk2 or gtk2+unicode versions of wxGTK
9 9
10# FUNCTIONS: 10# FUNCTIONS:
11# need-wxwidgets: 11# need-wxwidgets:
12# Arguments: 12# Arguments:
13# 2.4: gtk gtk2 unicode 13# 2.4: gtk gtk2 unicode !!! 2.4 is being removed from the tree !!!
14# 2.6: gtk gtk2 unicode base base-unicode mac mac-unicode 14# 2.6: gtk2 unicode base base-unicode mac mac-unicode
15# 15#
16# 16#
17# set-wxconfig 17# set-wxconfig
18# Arguments: (wxGTK 2.4) wxgtk, wxgtk2, or wxgtk2u 18# Arguments: (wxGTK 2.4) wxgtk, wxgtk2, or wxgtk2u
19# Arguments: (wxGTK 2.6) gtk-ansi gtk2-ansi unicode base-ansi base-unicode mac-ansi mac-unicode 19# Arguments: (wxGTK 2.6) gtk-ansi gtk2-ansi unicode base-ansi base-unicode mac-ansi mac-unicode
86 echo "!!! $FUNCNAME: ${wxconfig} not found" 86 echo "!!! $FUNCNAME: ${wxconfig} not found"
87 echo "!!! $FUNCNAME: ${wxconfig_debug} not found" 87 echo "!!! $FUNCNAME: ${wxconfig_debug} not found"
88 case $1 in 88 case $1 in
89 wxgtk) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";; 89 wxgtk) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";;
90 wxgtkd) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";; 90 wxgtkd) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";;
91 gtk-ansi) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";; 91 gtk-ansi) echo "!!! GTK-1 support is not available in wxGTK-2.6."
92 gtkd-ansi) echo "!!! You need to emerge wxGTK with wxgtk1 in your USE";; 92 echo "!!! Please search bugzilla for this package and file a new bug if one is not already present.";;
93 gtkd-ansi) echo "!!! GTK-1 support is not available in wxGTK-2.6.";;
93 94
94 wxgtk2) echo "!!! You need to emerge wxGTK with gtk2 in your USE";; 95 wxgtk2) echo "!!! You need to emerge wxGTK with gtk in your USE";;
95 wxgtk2d) echo "!!! You need to emerge wxGTK with gtk2 in your USE";; 96 wxgtk2d) echo "!!! You need to emerge wxGTK with gtk in your USE";;
96 gtk2-ansi) echo "!!! You need to emerge wxGTK with gtk2 in your USE";; 97 gtk2-ansi) echo "!!! You need to emerge wxGTK with gtk in your USE";;
97 gtk2d-ansi) echo "!!! You need to emerge wxGTK with gtk2 in your USE";; 98 gtk2d-ansi) echo "!!! You need to emerge wxGTK with gtk in your USE";;
98 99
99 wxgtk2u) echo "!!! You need to emerge wxGTK with unicode in your USE";; 100 wxgtk2u) echo "!!! You need to emerge wxGTK with unicode in your USE";;
100 wxgtk2ud) echo "!!! You need to emerge wxGTK with unicode in your USE";; 101 wxgtk2ud) echo "!!! You need to emerge wxGTK with unicode in your USE";;
101 gtk2-unicode) echo "!!! You need to emerge wxGTK with unicode in your USE";; 102 gtk2-unicode) echo "!!! You need to emerge wxGTK with unicode in your USE";;
102 gtk2d-unicode) echo "!!! You need to emerge wxGTK with unicode in your USE";; 103 gtk2d-unicode) echo "!!! You need to emerge wxGTK with unicode in your USE";;

Legend:
Removed from v.1.17  
changed lines
  Added in v.1.18

  ViewVC Help
Powered by ViewVC 1.1.20